BSpline Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BSpline and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Dimension.svg Dimensions/Cotation Draft
Page suivante: Point Draft Draft Point.svg Arrow-right.svg

Draft BSpline.svg BSpline Draft

Emplacement du menu
Draft → BSpline
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
B S
Introduit dans la version
0.7
Voir aussi
Filaire Draft, Courbe de Bézier Draft


Description

L'outil BSpline crée une courbe à partir de plusieurs points. Il utilise les Propriétés de ligne Draft définies dans La barre Draft.

L'outil BSpline se comporte comme l'outil Filaire Draft sauf que chacun de ses segments est incurvé au lieu d'être une ligne droite. Utilisez Filaire vers BSpline Draft pour convertir l’un en l’autre.

L'outil BSpline spécifie les points exacts par lesquels passera la courbe. D'autre part, l'outil Courbe de Bézier Draft utilise les points de contrôle pour définir la direction de la courbe. Pour créer des courbes circulaires ou elliptiques exactes, utilisez Arc Draft et Ellipse Draft.

Draft bspline example.jpg

Spline definie par plusieurs points


Utilisation

  1. Pressez le bouton Draft BSpline.png Créer une courbe B-spline... ou pressez les touches B puis S.
  2. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  3. Cliquez sur d'autres points de la vue 3D ou tapez une Coordonnées Draft puis appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  4. Appuyez sur Echap ou sur le bouton Fermé pour terminer l'édition.

La spline peut être modifiée en double-cliquant sur l'élément dans l'arborescence ou en appuyant sur le bouton Draft Edit.png Edit Draft. Vous pouvez ensuite déplacer les points vers un nouvel emplacement ou cliquer sur Draft AddPoint.svg Ajouter un point Draft ou Draft DelPoint.svg Effacer un point Draft puis cliquez sur le fil pour ajouter ou supprimer des points.

Options

  • Appuyez sur A ou sur le bouton Draft FinishLine.png Terminer la ligne Draft pour terminer la spline en la laissant ouverte.
  • Appuyez sur le bouton O ou sur le bouton Draft CloseLine.png Fermer la ligne Draft pour fermer la spline, c'est-à-dire qu'une courbe sera ajoutée. du dernier point au premier pour former une surface. Au moins trois points sont nécessaires pour former une surface.
  • Appuyez sur le bouton W ou sur le bouton Draft Wipe.svg Wipe pour supprimer les segments de courbe déjà placés, mais continuez à éditer la spline. à partir du dernier point.
  • Appuyez sur la touche U ou Draft SelectPlane.svg Plan de travail Draft pour ajuster le plan de travail actuel selon l'orientation du dernier point.
  • Appuyez sur X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez aussi appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft dans le cas où vous avez les valeurs le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif. Si le mode relatif est activé, les coordonnées du point suivant sont relatives au dernier. Dans le cas contraire, elles sont absolue et prises à l'origine (0,0,0).
  • Appuyez sur T ou cochez la case pour passer en mode continuer. Si le mode Continuer est activé, l'outil BSpline redémarre une fois la spline terminée, vous permettant d'en dessiner une autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode rempli . Si le mode rempli est activé, une spline fermée créera une face remplie (DATAMake Face True) sinon la spline fermée ne créera pas de surface (DATAMake Face False).
Remarque: la spline ne doit pas être remplie si elle se croise elle-même. Dans ce cas elle ne créera pas la surface appropriée. Si la spline est remplie mais qu'aucune forme n'est visible, définissez manuellement DATAMake Face sur False pour afficher la spline.
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer l'Accrochage Draft de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez sur Contrainte Draft pour que votre prochain point soit horizontalement ou verticalement par rapport au dernier.
  • Appuyez sur Ctrl + Z ou appuyez sur le bouton Draft UndoLine.png Undo pour annuler le dernier point.
  • Appuyez sur Echap ou sur le bouton Fermé pour annuler la commande en cours. Les segments de courbe déjà placés le resteront.

Propriétés

Un objet BSpline partage la plupart des propriétés d'un Filaire Draft cependant la plupart des propriétés n'ont de sens que pour un Filaire.

Data

  • DATAClosed: spécifie si la spline est fermée ou non. Si la spline est initialement ouverte, cette valeur est False; en le réglant sur True, un segment de courbe sera dessiné pour fermer la spline. Si la spline est initialement fermée, cette valeur est True; Si vous le définissez sur False, le dernier segment de courbe sera supprimé et la spline sera ouverte.
  • DATAMake Face: spécifie si la spline crée une surface ou non. S'il s'agit de True, une surface est créée. Sinon, seul le périmètre est considéré comme faisant partie de l'objet. Cette propriété ne fonctionne que si DATAClosed est True.
Remarque: ne définissez pas DATAMake Face sur True si la spline se coupe elle-même. Elle ne créera pas de surface appropriée.
  • DATAParameterization: affecte la forme de la BSpline.

Vue

  • VIEWArrow Size: spécifie la taille du symbole affiché à la fin de la spline.
  • VIEWArrow Type: spécifie le type de symbole affiché à la fin de la spline, qui peut être "Point", "Cercle", "Flèche" ou "Coche".
  • VIEWEnd Arrow: spécifie si un symbole doit être affiché au dernier point de la spline afin qu'il puisse être utilisé comme une ligne d'annotation.
  • VIEWPattern: spécifie un Pattern Draft avec lequel remplir la face d'une spline fermée. Cette propriété ne fonctionne que si DATA Make Face est True et si VIEWDisplay Mode est "Lignes plates".
  • VIEWPattern Size: spécifie la taille du Pattern Draft.

Script

Voir aussi: Draft API et FreeCAD Scripts de base.

L'outil BSpline peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet BSpline à partir de la liste de points donnée liste de points.
    • Chaque point de la liste est défini par FreeCAD.Vector en unités en millimètres.
    • Alternativement, l'entrée peut être un Part.Wire à partir duquel les points sont extraits.
  • Si closed est mis à True ou si les premier et dernier points sont identiques, le fil est fermé.
  • Si un placement est donné, il est utilisé sinon la forme est créée à l'origine.
  • Si face est mis à True et que la spline est fermée, la spline forme une surface, c'est-à-dire qu'elle apparaîtra remplie.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Page précédente: Draft Dimension.svg Dimensions/Cotation Draft
Page suivante: Point Draft Draft Point.svg Arrow-right.svg